// PAQUETE
package API.Interfaces_RMI;

// IMPORTACIONES
import API.Excepciones.DataException;
import java.rmi.*;



/** INTERFAZ GEN_LLL_I:  Interfaz que establece los metodos a implementar en el uso de la tabla Gen_LLl
 *
 * @author  Napal Basterrica, Hector
 * @version 1.0
 *
 */
public interface Gen_LLl_I extends Remote
{
	// METODOS -------------------------------------------------------------
	// OBTENCION Y ESTABLECIMIENTO DE PARAMETROS
        // getCodigo: Metodo que obtiene el valor del atributo Codigo
	public int getCodigo()                              throws RemoteException;
        // setCodigo: Metodo que establece el valor del atributo Codigo
	public void setCodigo(int Codigo)                   throws DataException, RemoteException;
        // getDescripcion: Metodo que obtiene el valor del atributo Descripcion
	public String getDescripcion()                      throws RemoteException;
        // setDescripcion: Metodo que establece el valor del atributo Descripcion
	public void setDescripcion(String Descripcion)      throws DataException, RemoteException;
}