// PAQUETE
package API.Interfaces_RMI;

// IMPORTACIONES
import API.Excepciones.DataException;
import java.rmi.*;
import java.util.Calendar;



/** INTERFAZ UNAFECHA_I:  Interfaz que establece los metodos a implementar para la clase UnaFecha
 *
 * @author  Napal Basterrica, Hector
 * @version 1.0
 *
 */
public interface UnaFecha_I extends Remote
{
	// METODOS -------------------------------------------------------------
	// OBTENCION Y ESTABLECIMIENTO DE PARAMETROS
        // getFechaI: Metodo que obtiene el valor del atributo Fecha_i
	public Calendar getFechaI()                                             throws RemoteException;
        // setFechaI: Metodo que establece el valor del atributo Fecha_i
	public void setFechaI(Calendar Fecha_i)                                 throws DataException, RemoteException;
}