// PAQUETE
package API.Interfaces_RMI;

// IMPORTACIONES
import API.Excepciones.DataException;
import API.Tablas.Personal;
import java.rmi.*;



/** INTERFAZ DESTINATARIO_I:  Interfaz que establece los metodos a implementar en el uso de la tabla Destinatario
 *
 * @author  Napal Basterrica, Hector
 * @version 1.0
 *
 */
public interface Destinatario_I extends Remote
{
	// METODOS -------------------------------------------------------------
	// OBTENCION Y ESTABLECIMIENTO DE PARAMETROS
        // getReceptor: Metodo que obtiene el valor del atributo Receptor
	public Personal getReceptor()                   throws RemoteException;
        // setReceptor: Metodo que establece el valor del atributo Receptor
	public void setReceptor(Personal Receptor)      throws DataException, RemoteException;
        // getLeida: Metodo que obtiene el valor del atributo Leida
	public boolean getLeida()                               throws RemoteException;
        // setLeida: Metodo que establece el valor del atributo Leida
	public void setLeida(boolean Leida)                     throws RemoteException;
        // getDescartada: Metodo que obtiene el valor del atributo Descartada
	public boolean getDescartada()                          throws RemoteException;
        // setDescartada: Metodo que establece el valor del atributo Descartada
	public void setDescartada(boolean Descartada)           throws RemoteException;
}