// PAQUETE
package API.Interfaces_RMI;

// IMPORTACIONES
import API.Excepciones.DataException;
import java.rmi.*;
import java.util.Calendar;



/** INTERFAZ DOSFECHAS_I:  Interfaz que establece los metodos a implementar para la clase DosFechas
 *
 * @author  Napal Basterrica, Hector
 * @version 1.0
 *
 */
public interface DosFechas_I extends Remote
{
	// METODOS -------------------------------------------------------------
	// OBTENCION Y ESTABLECIMIENTO DE PARAMETROS
        // getFechaJ: Metodo que obtiene el valor del atributo Fecha_j
	public Calendar getFechaJ()                                             throws RemoteException;
        // setFechaJ: Metodo que establece el valor del atributo Fecha_j
	public void setFechaJ(Calendar Fecha_j)                                 throws DataException, RemoteException;
}