// PAQUETE
package API.Interfaces_RMI;

// IMPORTACIONES
import API.Excepciones.DataException;
import API.Tablas.Gen_LLl;
import java.rmi.*;



/** INTERFAZ GLL_COPIAS_I:  Interfaz que establece los metodos a implementar en el uso de la tabla GLL_Copias
 *
 * @author  Napal Basterrica, Hector
 * @version 1.0
 *
 */
public interface GLL_Dev_I extends Remote
{
	// METODOS -------------------------------------------------------------
	// OBTENCION Y ESTABLECIMIENTO DE PARAMETROS
        // getLlaveLlavero: Metodo que obtiene el valor del atributo Llave_Llavero
	public Gen_LLl getLlaveLlavero()                    throws RemoteException;
        // setLlaveLlavero: Metodo que establece el valor del atributo Llave_Llavero
	public void setLlaveLlavero(Gen_LLl Llave_Llavero)  throws DataException, RemoteException;

        // getDev: Metodo que obtiene el valor del atributo Dev
	public boolean getDev()                             throws RemoteException;
        // setDev: Metodo que establece el valor del atributo Dev
	public void setDev(boolean Dev)                     throws RemoteException;
}