// PAQUETE
package API.Interfaces_RMI;

// IMPORTACIONES
import com.itextpdf.text.pdf.PdfPTable;
import java.rmi.*;
import javax.swing.JPanel;
import javax.swing.JTable;



/** INTERFAZ GENERADORINFORMES_I:  Interfaz que establece los metodos a implementar en el uso de la clase GeneradorInformes
 *
 * @author  Napal Basterrica, Hector
 * @version 1.0
 *
 */
public interface GeneradorInformes_I extends Remote
{
        // GENERACION DE INFORMES
        // generarInforme: Metodo que genera un informe dados un titulo, texto y tabla cuyo contenido mostrar
        public void generarInforme(String Titulo, String Texto, JTable Tabla)       throws Exception, RemoteException;
        // generarInformeAvanzado: Metodo que genera un informe dados un titulo, explicacion, tres subtitulos,
        public void generarInformeAvanzado(String Titulo, String Explicacion, String Subtitulo1, String Subtitulo2, String Subtitulo3, JTable Tabla1, JTable Tabla2, JTable Tabla3, boolean Todas, boolean T1, boolean T2, boolean T3) throws Exception, RemoteException;
        // JTable2PdfPTable: Metodo que convierte una JTabla a una PdfPTable
        public PdfPTable JTable2PdfPTable (JTable Tabla)                            throws RemoteException;
        // generarParte: Metodo que genera un informe con el parte de seguridad proporcionado
        public void generarParte(JPanel Panel)                                      throws Exception, RemoteException;
}