// PAQUETE
package API.Interfaces_RMI;

// IMPORTACIONES
import API.Excepciones.DataException;
import java.rmi.*;
import java.util.Calendar;



/** INTERFAZ UTILIDADESCALENDAR_I:  Interfaz que establece los metodos a implementar en el uso de la clase UtilidadesCalendar
 *
 * @author  Napal Basterrica, Hector
 * @version 1.0
 *
 */
public interface UtilidadesCalendar_I extends Remote
{
	// METODOS -------------------------------------------------------------
	// CONVERSION ENTRE OBJETOS
        // calendarToString: Metodo que pasa una fecha y hora a una String
        public String calendarToString (Calendar Fecha)                         throws RemoteException;
        // stringToCalendar: Metodo que pasa una String a objeto Calendar
        public Calendar stringToCalendar(String Fecha)                          throws DataException,RemoteException;
        // stringToTime: Metodo que pasa una String a objeto Calendar con solo hora
        public Calendar stringToTime(String Hora)                               throws RemoteException;
}